﻿using System.Windows;
using System.Windows.Input;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.rectangle.MouseEnter += rectangle_MouseEnter;
            this.rectangle.MouseLeave += rectangle_MouseLeave;

        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 사각형 마우스 진입시 처리하기 - rectangle_MouseEnter(sender, e)

        /// <summary>
        /// 사각형 마우스 진입시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void rectangle_MouseEnter(object sender, MouseEventArgs e)
        {
            VisualStateManager.GoToElementState(sender as Rectangle, "MouseEnter", true);
        }

        #endregion
        #region 사각형 마우스 이탈시 처리하기 - rectangle_MouseLeave(sender, e)

        /// <summary>
        /// 사각형 마우스 이탈시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void rectangle_MouseLeave(object sender, MouseEventArgs e)
        {
            VisualStateManager.GoToElementState(sender as Rectangle, "MouseLeave", true);
        }

        #endregion
    }
}